Bug 986545 - dnf mismatching it's librepo dep in rawhide
dnf mismatching it's librepo dep in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 08:41 EDT by Frank Murphy
Modified: 2014-09-30 19:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: hawkey-0.3.16-1.git4e79abc.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:28:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2013-07-20 08:41:22 EDT
Description of problem:

yum install dnf --disablerepo=_lan
Loaded plugins: lan, langpacks, priorities
Resolving Dependencies
--> Running transaction check
---> Package dnf.noarch 0:0.3.9-1.giteff4c49.fc20 will be installed
--> Processing Dependency: python-librepo = 0.0.4 for package: dnf-0.3.9-1.giteff4c49.fc20.noarch
--> Processing Dependency: python-hawkey = 0.3.14 for package: dnf-0.3.9-1.giteff4c49.fc20.noarch
--> Finding unneeded leftover dependencies
Found and removing 0 unneeded dependencies

Packages skipped because of dependency problems:
    dnf-0.3.9-1.giteff4c49.fc20.noarch from rawhide

python-hawkey  0.3.15-1.git996cd40.fc20 in rawhide
python-librepo  0.0.5-1.fc20 -ditto--
Installing for dependencies:
hawkey 0.3.15-1.git996cd40.fc20 --ditto--
librepo 0.0.5-1.fc20 --ditto--
Comment 1 Ales Kozumplik 2013-07-22 02:03:01 EDT
Hi, we know about this, the recent librepo version isn't matched by the DNF spec (i.e. it requires a precise version not 'greater than or equal'). This is because the APIs of the two projects are still moving fast. It will be resolved with the next build and I'll keep this open until then.
Comment 2 Ales Kozumplik 2013-07-22 07:39:52 EDT
This should be gone once dnf-0.3.10 appears in the repos.
Comment 3 Fedora Update System 2013-07-22 09:17:28 EDT
hawkey-0.3.16-1.git4e79abc.fc19, dnf-0.3.10-1.giteb9dddb.fc19, librepo-0.0.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dnf-0.3.10-1.giteb9dddb.fc19,librepo-0.0.5-2.fc19,hawkey-0.3.16-1.git4e79abc.fc19
Comment 4 Frank Murphy 2013-07-22 09:22:02 EDT
I installed from koji, for Rawhide(f20) worked as expected.
Comment 5 Fedora Update System 2013-07-22 21:13:14 EDT
Package hawkey-0.3.16-1.git4e79abc.fc19, dnf-0.3.10-1.giteb9dddb.fc19, librepo-0.0.5-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.3.16-1.git4e79abc.fc19 dnf-0.3.10-1.giteb9dddb.fc19 librepo-0.0.5-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13415/dnf-0.3.10-1.giteb9dddb.fc19,librepo-0.0.5-2.fc19,hawkey-0.3.16-1.git4e79abc.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-01 23:28:17 EDT
hawkey-0.3.16-1.git4e79abc.fc19, dnf-0.3.10-1.giteb9dddb.fc19, librepo-0.0.5-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Sean Burke 2013-08-30 18:00:21 EDT
This appears to be reoccurring with the current repo. Now python-hawkey-0.4.0-1.git0e5506a.fc20 and python-librepo-1.0.0-1.fc20 are available, but dnf-0.3.11-1.git7d717c7.fc20 requires 0.3.16 and 0.0.5, respectively.
Comment 8 Ales Kozumplik 2013-09-02 02:10:44 EDT
Hi Sean, you're right but it's a transient phase. Unfortunately this is how things work in a branched fedora before bodhi updates take place. The new DNF is on its way in koji[1] and all should be fine soon.

[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=460409

Note You need to log in before you can comment on or make changes to this bug.